xen-ocaml-devel-4.11.0-7.fc29.i686.rpm


Advertisement

Description

xen-ocaml-devel - Ocaml development libraries for Xen tools

Property Value
Distribution Fedora 29
Repository Fedora x86_64
Package name xen-ocaml-devel
Package version 4.11.0
Package release 7.fc29
Package architecture i686
Package type rpm
Installed size 397.03 KB
Download size 119.90 KB
Official Mirror dl.fedoraproject.org
This package contains libraries for developing ocaml tools to
manage Xen virtual machines.

Alternatives

Package Version Architecture Repository
xen-ocaml-devel-4.11.1-1.fc29.i686.rpm 4.11.1 i686 Fedora Updates Testing
xen-ocaml-devel-4.11.1-1.fc29.i686.rpm 4.11.1 i686 Fedora Updates Testing
xen-ocaml-devel-4.11.1-1.fc29.x86_64.rpm 4.11.1 x86_64 Fedora Updates Testing
xen-ocaml-devel-4.11.1-1.fc29.i686.rpm 4.11.1 i686 Fedora Updates
xen-ocaml-devel-4.11.1-1.fc29.i686.rpm 4.11.1 i686 Fedora Updates
xen-ocaml-devel-4.11.1-1.fc29.x86_64.rpm 4.11.1 x86_64 Fedora Updates
xen-ocaml-devel-4.11.0-7.fc29.x86_64.rpm 4.11.0 x86_64 Fedora
xen-ocaml-devel-4.11.0-7.fc29.i686.rpm 4.11.0 i686 Fedora
xen-ocaml-devel - - -

Requires

Name Value
xen-ocaml = 4.11.0-7.fc29

Provides

Name Value
xen-ocaml-devel = 4.11.0-7.fc29
xen-ocaml-devel(x86-32) = 4.11.0-7.fc29

Download

Type URL
Binary Package xen-ocaml-devel-4.11.0-7.fc29.i686.rpm
Source Package xen-4.11.0-7.fc29.src.rpm

Install Howto

Install xen-ocaml-devel rpm package:

# dnf install xen-ocaml-devel

Files

Path
/usr/lib/ocaml/xenbus/libxenbus_stubs.a
/usr/lib/ocaml/xenbus/xenbus.a
/usr/lib/ocaml/xenbus/xenbus.cmx
/usr/lib/ocaml/xenbus/xenbus.cmxa
/usr/lib/ocaml/xenctrl/libxenctrl_stubs.a
/usr/lib/ocaml/xenctrl/xenctrl.a
/usr/lib/ocaml/xenctrl/xenctrl.cmx
/usr/lib/ocaml/xenctrl/xenctrl.cmxa
/usr/lib/ocaml/xeneventchn/libxeneventchn_stubs.a
/usr/lib/ocaml/xeneventchn/xeneventchn.a
/usr/lib/ocaml/xeneventchn/xeneventchn.cmx
/usr/lib/ocaml/xeneventchn/xeneventchn.cmxa
/usr/lib/ocaml/xenlight/libxenlight_stubs.a
/usr/lib/ocaml/xenlight/xenlight.a
/usr/lib/ocaml/xenlight/xenlight.cmx
/usr/lib/ocaml/xenlight/xenlight.cmxa
/usr/lib/ocaml/xenmmap/libxenmmap_stubs.a
/usr/lib/ocaml/xenmmap/xenmmap.a
/usr/lib/ocaml/xenmmap/xenmmap.cmx
/usr/lib/ocaml/xenmmap/xenmmap.cmxa
/usr/lib/ocaml/xenstore/xenstore.a
/usr/lib/ocaml/xenstore/xenstore.cmx
/usr/lib/ocaml/xenstore/xenstore.cmxa
/usr/lib/ocaml/xentoollog/libxentoollog_stubs.a
/usr/lib/ocaml/xentoollog/xentoollog.a
/usr/lib/ocaml/xentoollog/xentoollog.cmx
/usr/lib/ocaml/xentoollog/xentoollog.cmxa

Changelog

2018-09-18 - Michael Young <m.a.young@durham.ac.uk> - 4.11.0-7
- set /usr/bin/python2 at the start of another python script
2018-09-18 - Michael Young <m.a.young@durham.ac.uk> - 4.11.0-6
- move pkgconfig files to xen-devel (#1629643)
2018-09-12 - Michael Young <m.a.young@durham.ac.uk>
- set /usr/bin/python2 at the start of some python scripts
2018-08-23 - Michael Young <m.a.young@durham.ac.uk> - 4.11.0-5
- move creation of /usr/lib/xen symlink to posttrans to avoid rpm conflict
2018-08-17 - Michael Young <m.a.young@durham.ac.uk> - 4.11.0-4
- move files from /usr/lib/xen to /usr/libexec/xen
- create symlink at /usr/lib/xen for compatibility
2018-08-14 - Michael Young <m.a.young@durham.ac.uk> - 4.11.0-3
- replace use of deprecated vwprintw
2018-08-14 - Michael Young <m.a.young@durham.ac.uk> - 4.11.0-2
- no longer need to set python_sitearch
- L1 Terminal Fault speculative side channel patch bundle [XSA-273,
CVE-2018-3620, CVE-2018-3646]
also includes
Use of v2 grant tables may cause crash on ARM [XSA-268, CVE-2018-15469]
(#1616081)
x86: Incorrect MSR_DEBUGCTL handling lets guests enable BTS [XSA-269,
CVE-2018-15468] (#1616077)
oxenstored does not apply quota-maxentity [XSA-272, CVE-2018-15470]
(#1616080)
2018-07-12 - Michael Young <m.a.young@durham.ac.uk> - 4.11.0-1
- update to 4.11.0 (#1592976)
remove patches for issues now fixed upstream
adjust xen.use.fedora.ipxe.patch
drop parts of xen.fedora.efi.build.patch & xen.gcc8.temp.fix.patch
- replace use of deprecated brctl command (#1588712)
- add gcc BuildRequires
- adjustments now /usr/bin/python is in a separate package
- update hypervisor configuration for arm
- put back some gcc fixes needed for arm and i686
- work around a build issue with perl
- i686 now want to build EFI hypervisor (actually x86_64) so let it
2018-06-27 - Michael Young <m.a.young@durham.ac.uk> - 4.10.1-5
- preemption checks bypassed in x86 PV MM handling [XSA-264, CVE-2018-12891]
(#1595959)
- x86: #DB exception safety check can be triggered by a guest [XSA-265,
CVE-2018-12893] (#1595958)
- libxl fails to honour readonly flag on HVM emulated SCSI disks [XSA-266,
CVE-2018-12892] (#1595957)
2018-06-15 - Michael Young <m.a.young@durham.ac.uk> - 4.10.1-4
- Speculative register leakage from lazy FPU context switching
[XSA-267, CVE-2018-3665]
- fix for change in iasl output

See Also

Package Description
xen-runtime-4.11.0-7.fc29.x86_64.rpm Core Xen runtime environment
xenlism-wildfire-0-0.5.20160511gitd3b9ad2.fc29.noarch.rpm Minimalist theme for your desktop
xenlism-wildfire-backgrounds-0-0.5.20160511gitd3b9ad2.fc29.noarch.rpm Backgrounds of Xenlism Wildfire
xenlism-wildfire-day-0-0.5.20160511gitd3b9ad2.fc29.noarch.rpm Day theme of Xenlism Wildfire
xenlism-wildfire-friday-0-0.5.20160511gitd3b9ad2.fc29.noarch.rpm Friday theme of Xenlism Wildfire
xenlism-wildfire-midnight-0-0.5.20160511gitd3b9ad2.fc29.noarch.rpm Midnight theme of Xenlism Wildfire
xenlism-wildfire-monday-0-0.5.20160511gitd3b9ad2.fc29.noarch.rpm Monday theme of Xenlism Wildfire
xenlism-wildfire-night-0-0.5.20160511gitd3b9ad2.fc29.noarch.rpm Night theme of Xenlism Wildfire
xenlism-wildfire-saturday-0-0.5.20160511gitd3b9ad2.fc29.noarch.rpm Saturday theme of Xenlism Wildfire
xenlism-wildfire-sunday-0-0.5.20160511gitd3b9ad2.fc29.noarch.rpm Sunday theme of Xenlism Wildfire
xenlism-wildfire-thursday-0-0.5.20160511gitd3b9ad2.fc29.noarch.rpm Thursday theme of Xenlism Wildfire
xenlism-wildfire-tuesday-0-0.5.20160511gitd3b9ad2.fc29.noarch.rpm Tuesday theme of Xenlism Wildfire
xenlism-wildfire-wednesday-0-0.5.20160511gitd3b9ad2.fc29.noarch.rpm Wednesday theme of Xenlism Wildfire
xerces-c-3.2.2-1.fc29.i686.rpm Validating XML Parser
xerces-c-3.2.2-1.fc29.x86_64.rpm Validating XML Parser
Advertisement
Advertisement